## firefox 26.0+build2

=== debian/changelog ===
firefox (26.0+build2-0ubuntu0.13.04.2) raring-security; urgency=low

  * New upstream stable release (FIREFOX_26_0_BUILD2)
    - see LP: #1258513 for USN information

  * Refresh patches
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update d/p/test-integration/xpcshell-dont-return-nonzero-on-test-failure.patch
    - update d/p/test-integration/xpcshell-write-time-for-failed-test.patch
    - update debian/patches/unity-menubar.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update debian/patches/no_neon_on_arm.patch
  * Drop patches
    - remove d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - remove d/p/test-fixes/mochitest-dont-ship-browser-postupdate-test.patch
    - remove d/p/test-fixes/mochitest-tests-jar-fix.patch
    - update debian/patches/series
  * Update for mochitest/runtests.py changes
    - update debian/testing/testrunhelper.py
  * MOZILLA_OFFICIAL no longer controls whether the crashreporter is enabled,
    so just build with --disable-crashreporter to turn it off
    - update debian/apport/blacklist.in
    - update debian/build/config.mk
    - update debian/build/rules.mk
  * Backport patch from Aurora to add a missing include to BufferUnrotate.cpp
    - add debian/patches/fix-missing-include.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 06 Dec 2013 13:18:02 +0000

firefox (25.0.1+build1-0ubuntu0.13.04.1) raring-security; urgency=low

  * New upstream stable release (FIREFOX_25_0_1_BUILD1)
    - see LP: #1251576 for USN information

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 15 Nov 2013 10:32:47 +0000

firefox (25.0+build3-0ubuntu0.13.04.1) raring-security; urgency=low

  * New upstream stable release (FIREFOX_25_0_BUILD3)
    - see LP: #1245414 for USN information

  * Refresh patches
    - update d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - update d/p/test-integration/xpcshell-write-time-for-failed-test.patch
    - update debian/patches/ubuntu-ua-string-changes.patch
    - update d/p/test-fixes/xpcshell-exthandler-no-writes-to-appdir.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update d/p/test-integration/mochitest-allow-test-manifest-for-browser-chrome.patch
    - update d/p/test-integration/xpcshell-disable-tests-which-need-appdir-write-access.patch
    - update debian/patches/unity-menubar.patch
  * Drop patches
    - remove d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - remove d/p/test-fixes/xpcshell-contentprefs-no-writes-to-appdir.patch
    - remove d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - update debian/patches/series
  * Refactor the test results post-process script a bit so that it can use
    regular expressions in the configuration
    - update debian/testing/filter_results
    - update debian/testing/results-filter-manifest.json
    - update debian/tests/post-process
  * Run mochitest-plain in 5 chunks, similar to upstream. This should fix
    some test failures we see that seem to be caused by some tests not
    cleaning up properly (seems to fix LP: #1158781 and LP: #1194448)
    - update debian/testing/run_mochitest.in
    - update debian/tests/control
    - move debian/tests/mochitest => debian/tests/mochitest-1
    - add debian/tests/mochitest-2
    - add debian/tests/mochitest-3
    - add debian/tests/mochitest-4
    - add debian/tests/mochitest-5
  * Drop d/p/test-integration/test-sameoriginpolicy-debug.patch now that
    we run mochitest-plain in chunks
  * Add OCSPStaplingServer binary to testsuite
    - update debian/firefox-testsuite.install.in
    - update debian/build/rules.mk
  * Don't let make check failures fail the build for now, as there are some
    jit test failures
    - update debian/build/testsuite.mk
  * Try to stop the buildd's from terminating the build during long links
    (use a hack based on the one for the Chromium package)
    - add debian/build/keepalive-wrapper.py
    - update debian/build/rules.mk

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 28 Oct 2013 10:20:34 +0000

firefox (24.0+build1-0ubuntu0.13.04.1) raring-security; urgency=low

  * New upstream stable release (FIREFOX_24_0_BUILD1)
    - see LP: #1223826 for USN information

  * Make sure bindings are always attached for menu popups, even if they
    already have a wrapper when the menu opens
    - update debian/patches/unity-menubar.patch
  * Make sure bindings are attached for menu's too, so that menu.open
    always works (finally fixes livemarks when running in Unity)
    - update debian/patches/unity-menubar.patch
  * Refresh patches
    - update d/p/test-fixes/mochitest-browser-plugincrash-with-no-crashreporter.patch
    - update d/p/test-fixes/xpcshell-docshell-no-writes-to-appdir.patch
    - update d/p/test-integration/automation-output-junit-xml.patch
    - update debian/patches/ubuntu-bookmarks.patch
    - update debian/patches/unity-menubar.patch
  * Make the debian/control autogeneration a bit cleaner
    - update debian/build/config.mk
    - update debian/build/dump-langpack-control-entries.pl
    - update debian/build/rules.mk
    - update debian/control.in
  * Don't set stuff that is set by dpkg-buildpackage
    - update debian/build/config.mk
    - update debian/build/rules.mk
  * Remove the executable bit from more file types
    - update debian/build/rules.mk
  * The upstream mochitest harness now supports a manifest file for all tests
    except for browser-chrome, but we need a separate manifest for each now
    - update d/p/test-integration/mochitest-allow-test-manifest-for-chrome.patch

