=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,11 @@
 						$(NULL)
 
 debian/usr.bin.firefox.in:
-	cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in
+	if [ '$(DISTRIB_VERSION_MAJOR)$(DISTRIB_VERSION_MINOR)' -ge '1310' ]; then \
+		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.13.10 $(CURDIR)/debian/usr.bin.firefox.in ; \
+	else \
+		cp $(CURDIR)/debian/usr.bin.firefox.apparmor.12.04 $(CURDIR)/debian/usr.bin.firefox.in ; \
+	fi
 
 ifeq (firefox, $(MOZ_APP_NAME))
 ifneq (,$(filter precise, $(DISTRIB_CODENAME)))
