=== debian/tests/control ===
Tests: xpcshell-tests xpcshell-package-tests jstestbrowser reftest crashtest mochitest-1 mochitest-2 mochitest-3 mochitest-4 mochitest-5 mochitest-browser mochitest-chrome mochitest-a11y mochitest-ipcplugins post-process
Depends: firefox-testsuite
