=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: web
 Priority: optional
 Maintainer: Ubuntu Mozilla Team <ubuntu-mozillateam@lists.ubuntu.com>
-Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.trusty
+Vcs-Bzr: https://code.launchpad.net/~mozillateam/firefox/firefox.head
 Build-Depends: cdbs,
 	locales,
 	debhelper (>= 7),
@@ -41,7 +41,7 @@
 	python (>= 2.7),
 	libffi-dev (>= 3.0.9) [arm64]
 Standards-Version: 3.9.1
-#XS-Testsuite: autopkgtest
+XS-Testsuite: autopkgtest
 
 Package: firefox
 Architecture: any
@@ -57,7 +57,7 @@
 	iceweasel,
 	gnome-www-browser,
 	${app:Provides}
-Suggests: fonts-lyx,
+Suggests: ttf-lyx,
 	${support:Suggests}
 Breaks: ${transitional:Breaks}
 Replaces: ${transitional:Replaces}
@@ -144,9 +144,9 @@
 	fonts-kacst,
 	fonts-takao-mincho,
 	fonts-takao-gothic,
-	fonts-wqy-zenhei,
+	ttf-wqy-zenhei,
 	fonts-arphic-uming,
-	fonts-arphic-ukai,
+	ttf-arphic-ukai,
 	fonts-nanum,
 	fonts-nanum-coding,
 	fonts-unfonts-core,
